org.apache.hadoop.yarn.client.cli

## Class NodeAttributesCLI.AdminCommandHandler

- java.lang.Object
- - org.apache.hadoop.conf.Configured
  - - org.apache.hadoop.yarn.client.cli.NodeAttributesCLI.CommandHandler
    - - org.apache.hadoop.yarn.client.cli.NodeAttributesCLI.AdminCommandHandler

- All Implemented Interfaces:
    org.apache.hadoop.conf.Configurable
  Enclosing class:
    NodeAttributesCLI

      public static class NodeAttributesCLI.AdminCommandHandler
      extends NodeAttributesCLI.CommandHandler

  Admin commands handler.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.commons.cli.Options` | `buildOptions()`
    `protected org.apache.hadoop.yarn.server.api.ResourceManagerAdministrationProtocol` | `createAdminProtocol()`
    `int` | `handleCommand(org.apache.commons.cli.CommandLine cliParser)`
    `void` | `setConf(org.apache.hadoop.conf.Configuration conf)`

    - ### Methods inherited from class org.apache.hadoop.yarn.client.cli.NodeAttributesCLI.CommandHandler

      `addOrder, canHandleCommand, getHelp, getHelp, getOptions`

    - ### Methods inherited from class org.apache.hadoop.conf.Configured

      `getConf`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### buildOptions

          public org.apache.commons.cli.Options buildOptions()

      Specified by:
        `buildOptions` in class `NodeAttributesCLI.CommandHandler`

    - #### createAdminProtocol

          protected org.apache.hadoop.yarn.server.api.ResourceManagerAdministrationProtocol createAdminProtocol()
                                                                                                         throws IOException

      Throws:
        `IOException`

    - #### handleCommand

          public int handleCommand(org.apache.commons.cli.CommandLine cliParser)
                            throws IOException,
                                   org.apache.hadoop.yarn.exceptions.YarnException

      Specified by:
        `handleCommand` in class `NodeAttributesCLI.CommandHandler`
      Throws:
        `IOException`
        `org.apache.hadoop.yarn.exceptions.YarnException`

    - #### setConf

          public void setConf(org.apache.hadoop.conf.Configuration conf)

      Specified by:
        `setConf` in interface `org.apache.hadoop.conf.Configurable`
      Overrides:
        `setConf` in class `org.apache.hadoop.conf.Configured`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.